module Texture ( Texture(..)
               , TextureObject
               , texturePath
               ) where

import Paths_htanks
import Graphics.Rendering.OpenGL.GL.Texturing.Objects (TextureObject)

data Texture = TextureWood | TextureTank | TextureCannon | TextureBullet | TextureCrosshair
               deriving (Eq, Ord, Show)

texturePath :: Texture -> IO FilePath
texturePath t = getDataFileName $ "tex/" ++ (name t) ++ ".png"
    where
      name TextureWood = "Wood"
      name TextureTank = "Tank"
      name TextureCannon = "Cannon"
      name TextureBullet = "Bullet"
      name TextureCrosshair = "Crosshair"
